Bug 107240 - EDITING Insert > Date | Time inserts some content into protected cells
Summary: EDITING Insert > Date | Time inserts some content into protected cells
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.3.2.2 release
Hardware: All All
: medium normal
Assignee: Xisco Faulí
URL:
Whiteboard: target:6.2.0 target:6.1.4
Keywords:
Depends on:
Blocks: Cell-Protection
  Show dependency treegraph
 
Reported: 2017-04-18 10:12 UTC by Katarina Behrens (CIB)
Modified: 2018-11-16 12:43 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katarina Behrens (CIB) 2017-04-18 10:12:59 UTC
Description:
As per subject

Steps to Reproduce:
1. Take any sheet with protected cells, for example attachment129104 [details]
2. Select one of the protected cells
3. Menu Insert > Date or Insert > Time


Actual Results:  
A pop-up ("protected cell can't be modified" or sth like that) appears, but some content (date, time, or just 0) is still inserted into protected cells

Expected Results:
No content should be inserted, or better yet, Insert > Date | Time slots should be disabled if a cell under cursor is protected ...


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:47.0) Gecko/20100101 Firefox/47.0
Comment 1 Xisco Faulí 2017-04-18 11:49:36 UTC
Confirmed in

Version: 5.4.0.0.alpha0+
Build ID: 7635e0c1c7f821a1081f8e3868f641ae74a172d6
CPU threads: 4; OS: Linux 4.8; UI render: default; VCL: gtk2; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

and

Version: 5.4.0.0.alpha0+
Build ID: 156f778593ca9c57845076a88c6b544a63e12e7a
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-04-05_06:30:54
Locale: es-ES (es_ES); Calc: group
Comment 2 QA Administrators 2018-07-21 02:40:47 UTC Comment hidden (obsolete)
Comment 3 Oliver Brinzing 2018-08-13 14:02:04 UTC
Confirmed in

Version: 6.2.0.0.alpha0+ (x64)
Build ID: d19482e191b8839f3b552e3b6e5e91ead70d565f
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: threaded
Comment 4 Xisco Faulí 2018-10-18 19:12:53 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/61953/
Comment 5 Commit Notification 2018-11-15 21:34:45 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/525ed5d1fcb89412f0b80be0b1e35410b048c337%5E%21

tdf#107240 tdf#120432 Disable time/date entries in read-only/protected mode

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-11-15 23:35:16 UTC
Closing as RESOLVED FIXED
Comment 7 Commit Notification 2018-11-16 12:43:57 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/da6c0638507aec8c9e8be2b8f63140136f1bff1d%5E%21

tdf#107240 tdf#120432 Disable time/date entries in read-only/protected mode

It will be available in 6.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.